Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: yesod11
Fetching contributors…

Cannot retrieve contributors at this time

136 lines (124 sloc) 5.105 kb
name: haskellers
version: 0.0.0
license: BSD3
license-file: LICENSE
author: Michael Snoyman
maintainer: Michael Snoyman
synopsis: The greatest Yesod web application ever.
description: I'm sure you can say something clever here if you try.
category: Web
stability: Experimental
cabal-version: >= 1.8
build-type: Simple
homepage: http://haskellers.yesodweb.com/
Flag dev
Description: Turn on development settings, like auto-reload templates.
Default: False
Flag library-only
Description: Build for use with "yesod devel"
Default: False
library
exposed-modules: Application
Foundation
Import
Model
Settings
Settings.StaticFiles
Settings.Development
SESCreds
Handler.Root
Handler.Profile
Handler.User
Handler.Admin
Handler.Email
Handler.Skills
Handler.Package
Handler.Faq
Handler.News
Handler.Job
Handler.Team
Handler.Topic
Handler.Bling
Handler.Poll
if flag(dev) || flag(library-only)
cpp-options: -DDEVELOPMENT
ghc-options: -Wall -O0
else
ghc-options: -Wall -O2
extensions: TemplateHaskell
QuasiQuotes
OverloadedStrings
NoImplicitPrelude
CPP
MultiParamTypeClasses
TypeFamilies
GADTs
GeneralizedNewtypeDeriving
FlexibleContexts
EmptyDataDecls
NoMonomorphismRestriction
build-depends: base >= 4 && < 5
-- , yesod-platform >= 1.1 && < 1.2
, yesod >= 1.1 && < 1.2
, yesod-core >= 1.1 && < 1.2
, yesod-auth >= 1.1 && < 1.4
, yesod-auth-fb >= 1.3 && < 1.4
, yesod-static >= 1.1 && < 1.2
, yesod-default >= 1.1 && < 1.2
, yesod-form >= 1.1 && < 1.2
, yesod-newsfeed >= 1.1 && < 1.2
, yesod-test >= 0.3 && < 0.4
, clientsession >= 0.8 && < 0.9
, bytestring >= 0.9 && < 0.11
, text >= 0.11.2 && < 0.12
, persistent >= 1.0 && < 1.1
, persistent-postgresql >= 1.0 && < 1.1
, template-haskell
, hamlet >= 1.1 && < 1.2
, shakespeare-css >= 1.0 && < 1.1
, shakespeare-js >= 1.0 && < 1.1
, shakespeare-text >= 1.0 && < 1.1
, hjsmin >= 0.1 && < 0.2
, monad-control >= 0.3 && < 0.4
, wai-extra >= 1.3 && < 1.4
, yaml >= 0.8 && < 0.9
, http-conduit >= 1.5 && < 1.7
, directory >= 1.1 && < 1.3
, warp >= 1.3 && < 1.4
, blaze-html >= 0.5 && < 0.6
, data-default
, time
, containers
, old-locale
, stm
, fb
, http-types
, blaze-builder
, text-icu
, random-shuffle
, random
, pureMD5
, utf8-string
, cryptocipher
, base64-bytestring
, mime-mail
, mime-mail-ses
executable haskellers
if flag(library-only)
Buildable: False
main-is: ../main.hs
hs-source-dirs: dist
build-depends: base
, haskellers
, yesod-default
ghc-options: -threaded -O2
test-suite test
type: exitcode-stdio-1.0
main-is: main.hs
hs-source-dirs: tests
ghc-options: -Wall
build-depends: base
, haskellers
, yesod-test
, yesod-default
, yesod-core
Jump to Line
Something went wrong with that request. Please try again.